summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2012-01-24 14:13:42 -0600
committer Robby Workman <rworkman@slackbuilds.org>2012-02-11 21:19:28 -0600
commit29ca0fd354441fd9964153c87da44217fdbc019c (patch)
tree54ff3c9bad82289ed4d0bf04a07ba2c6bc8ccf7e
parent82933e5e724cb5a13587552bc4a1125f0f2b9e59 (diff)
downloadslackbuilds-29ca0fd354441fd9964153c87da44217fdbc019c.tar.gz
slackbuilds-29ca0fd354441fd9964153c87da44217fdbc019c.tar.xz
libraries/cdk: Updated for version 5.0_20110517.
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--libraries/cdk/README2
-rw-r--r--libraries/cdk/cdk.SlackBuild24
-rw-r--r--libraries/cdk/cdk.info8
3 files changed, 13 insertions, 21 deletions
diff --git a/libraries/cdk/README b/libraries/cdk/README
index 8e6518426c..68ba5ab056 100644
--- a/libraries/cdk/README
+++ b/libraries/cdk/README
@@ -7,4 +7,4 @@ is to preserve nominal compatibility with the original Cdk, while fixing
bugs and design limitations. Some macros such as ObjOf() have been introduced
to move details out of individual widgets into common functionality (see
the cdk_objs.h header). In addition, fixed array limits have been removed,
-using new functions in some instances which do not have the fixed limits. \ No newline at end of file
+using new functions in some instances which do not have the fixed limits.
diff --git a/libraries/cdk/cdk.SlackBuild b/libraries/cdk/cdk.SlackBuild
index c8ccb84a9a..cbb953ed03 100644
--- a/libraries/cdk/cdk.SlackBuild
+++ b/libraries/cdk/cdk.SlackBuild
@@ -5,16 +5,14 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=cdk
-VERSION=${VERSION:-5.0_20090215}
+VERSION=${VERSION:-5.0_20110517}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -24,8 +22,6 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-SRCVERSION=$(echo $VERSION | tr _ -)
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -40,14 +36,14 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$SRCVERSION
-tar xvf $CWD/$PRGNAM-$SRCVERSION.tgz
-cd $PRGNAM-$SRCVERSION
+rm -rf $PRGNAM-${VERSION/_/-}
+tar xvf $CWD/$PRGNAM-${VERSION/_/-}.tgz
+cd $PRGNAM-${VERSION/_/-}
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -55,15 +51,13 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-patch -p0 < $CWD/cdk-5.0_20090215-ldflags.patch
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
- --with-ncurses \
+ --with-ncursesw \
--with-x \
--with-Xaw3d \
--with-libtool \
@@ -75,10 +69,8 @@ make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
diff --git a/libraries/cdk/cdk.info b/libraries/cdk/cdk.info
index 9bc9abccb2..6f433ec96a 100644
--- a/libraries/cdk/cdk.info
+++ b/libraries/cdk/cdk.info
@@ -1,10 +1,10 @@
PRGNAM="cdk"
-VERSION="5.0_20090215"
+VERSION="5.0_20110517"
HOMEPAGE="http://invisible-island.net/cdk/"
-DOWNLOAD="ftp://invisible-island.net/cdk/cdk-5.0-20090215.tgz"
-MD5SUM="851adaa3b6c51d39fb61d8ed1714a7d3"
+DOWNLOAD="ftp://invisible-island.net/cdk/cdk-5.0-20110517.tgz"
+MD5SUM="5b55943f16c7110d91d4d59073abdcac"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Larry Hajali"
EMAIL="larryhaja[at]gmail[dot]com"
-APPROVED="dsomero"
+APPROVED="dsomero,Erik Hanson"